# GstPhysMemoryAllocator

## GstAllocators.PhysMemoryAllocator

### Virtual Methods

#### get_phys_addr

    guintptr
    get_phys_addr (GstPhysMemoryAllocator * allocator,
                   GstMemory * mem)

Implementations shall return the physicall memory address that is backing the provided memory, or 0 if none.

Parameters:

`allocator` –
No description available
`mem` –
No description available
Returns –
No description available

#### vfunc_get_phys_addr

    function vfunc_get_phys_addr(allocator: GstAllocators.PhysMemoryAllocator, mem: Gst.Memory): {
        // javascript implementation of the 'get_phys_addr' virtual method
    }

Implementations shall return the physicall memory address that is backing the provided memory, or 0 if none.

Parameters:

`allocator` (GstAllocators.PhysMemoryAllocator) –
No description available
`mem` (Gst.Memory) –
No description available
Returns (Number) –
No description available

#### do_get_phys_addr

    def do_get_phys_addr (allocator, mem):
        #python implementation of the 'get_phys_addr' virtual method

Implementations shall return the physicall memory address that is backing the provided memory, or 0 if none.

Parameters:

`allocator` (GstAllocators.PhysMemoryAllocator) –
No description available
`mem` (Gst.Memory) –
No description available
Returns (int) –
No description available

## Functions

### gst_is_phys_memory

    gboolean
    gst_is_phys_memory (GstMemory * mem)

Parameters:

`mem` –

a GstMemory

Returns –

whether the memory at mem is backed by physical memory

Since : 1.14

### GstAllocators.prototype.is_phys_memory

    function GstAllocators.prototype.is_phys_memory(mem: Gst.Memory): {
        // javascript wrapper for 'gst_is_phys_memory'
    }

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (Number) –

whether the memory at mem is backed by physical memory

Since : 1.14

### GstAllocators.is_phys_memory

    def GstAllocators.is_phys_memory (mem):
        #python wrapper for 'gst_is_phys_memory'

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (bool) –

whether the memory at mem is backed by physical memory

Since : 1.14

### gst_phys_memory_get_phys_addr

    guintptr
    gst_phys_memory_get_phys_addr (GstMemory * mem)

Parameters:

`mem` –

a GstMemory

Returns –

Physical memory address that is backing mem, or 0 if none

Since : 1.14

### GstAllocators.prototype.phys_memory_get_phys_addr

    function GstAllocators.prototype.phys_memory_get_phys_addr(mem: Gst.Memory): {
        // javascript wrapper for 'gst_phys_memory_get_phys_addr'
    }

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (Number) –

Physical memory address that is backing mem, or 0 if none

Since : 1.14

### GstAllocators.phys_memory_get_phys_addr

    def GstAllocators.phys_memory_get_phys_addr (mem):
        #python wrapper for 'gst_phys_memory_get_phys_addr'

Parameters:

`mem` (Gst.Memory) –

a Gst.Memory

Returns (int) –

Physical memory address that is backing mem, or 0 if none

Since : 1.14

## Function Macros

### GST_PHYS_MEMORY_ALLOCATOR_CAST

    #define GST_PHYS_MEMORY_ALLOCATOR_CAST(obj) ((GstPhysMemoryAllocator *)(obj))

### GST_PHYS_MEMORY_ALLOCATOR_GET_INTERFACE

    #define GST_PHYS_MEMORY_ALLOCATOR_GET_INTERFACE(obj) (GST_PHYS_MEMORY_ALLOCATOR_GET_IFACE(obj))

The results of the search are